Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jsse2
Class HostnameVerifierIgnore

    java.lang.Object
      com.ibm.jsse2.HostnameVerifierIgnore

All Implemented Interfaces:
  HostnameVerifier

    public class HostnameVerifierIgnore

extends Object
implements HostnameVerifier

HostnameVerifier provides a callback mechanism so that implementers of this interface can supply a policy for handling the case where the host to connect to and the server name from the certificate mismatch.

This implementation always allow such connections.

To use:

- javax.net.ssl.HttpsURLConnection setDefaultHostnameVerifier(com.ibm.jsse2.HostnameVerifierIgnore) or
- javax.net.ssl.HttpsURLConnection.setHostnameVerifier(com.ibm.jsse2.HostnameVerifierIgnore)

  Constructor Summary
  `HostnameVerifierIgnore()`

  Method Summary
  `boolean` | `verify(String hostname, SSLSession session)` Always accept the connection even when the host to connect to and the server name from the certificate mismatch

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### HostnameVerifierIgnore

      public HostnameVerifierIgnore()

  Method Detail

  ### verify

      public boolean verify(String hostname,
                            SSLSession session)

    Always accept the connection even when the host to connect to and the server name from the certificate mismatch

    Specified by:
      `verify` in interface `HostnameVerifier`
    Parameters:
      `hostname` - the host name
      `session` - SSLSession used on the connection to host
    Returns:
      true always

  Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD